System.Design 2.0.0.0

Designer state is keyed by the component with which the designer is associated. The Web Forms design surface offers this service and component designers use the service. This is an optional host service, and control designers should not assume it will always be provided.

Designer state is represented as a set of name/value pairs, in the form of a dictionary. Values stored in the dictionary must be serializable. The specified component should be sited in the designer and should have a non-empty name.

Do not store sensitive information to the . Sensitive information includes password and authentication data, or any data you do not want to expose to an unwanted source.

Allows a designer to store and retrieve its state.

- Method
  2.0.0.0
  System.Object `` `` To be added.

  Gets a state item specified by the key for the given component.

  The designer state for specified by .

  The component for which to retrieve the designer state item. The name of the designer state item.
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Sets a state item specified by the key for the given component.

  The component for which to set the designer state item. The name of the designer state item. The designer state item for .